% Sample code to solve the Lorenz system
%

clear;
close all;

% Parameter
r=80;
s=10;
b=8/3;

% Time
tspan = [0 100];

% Initial Conditions:
y0 = [1; 2; 3];

% Solve the problem using ode45
options=odeset('RelTol',1e-6);
[tout,yout]=ode45(@(t,y) mylorenz(t,y,r,s,b) , tspan,y0,options);

% Post-process: plot the numerical solution
figure(1)

view(-20,80)
plot3(yout(:,1),yout(:,2),yout(:,3));
%{
pause
figure(2)
subplot(2,1,1)
hold on
axis([-40 60 -100 100 0 150])
view(-20,80)
subplot(2,1,2)
axis([-40 60 -100 100])
hold on
imax=length(yout(:,1));
imin=round(imax*.5);
zsign=sign(yout(imin-1,3)-30);
n_int=0
for i=imin:imax
    title(sprintf('Time=%f, Number of intersecting pts=%d',tout(i),n_int));
    subplot(2,1,1)
    plot3(yout(i,1),yout(i,2),yout(i,3),'-');
    zsign_loc=sign(yout(i,3)-30);
    if zsign_loc*zsign <=0
        n_int=n_int+1;
    subplot(2,1,2)

   plot(yout(i,1),yout(i,2),'.');
    zsign=zsign_loc;
    end
    drawnow;
end
%}