% A code to solve a three species system
clear;
close all;
a=1;
b=.2;
c=.2;
d=1;
e=.05;
f=.05;
g=.5;
h=.1;
i=.1;
tspan = [0 200];
y0 = [20; 130;2];

% Solve the problem using ode45
options=odeset('RelTol',1e-3); % relative error control
[tout,yout]=ode45(@(t,y) my3f(t,y,a,b,c,d,e,f,g,h,i) , tspan,y0,options);

imax=length(yout(:,1));
imin=round(imax*.9);
h1=figure(1)
%set(axes,'fontsize',18)

plot3(yout(:,1),yout(:,2),yout(:,3));
hold on
for i=imin:imax
    title(sprintf('(%e,%e,%e) Time=%f',yout(i,1),yout(i,2),yout(i,3),tout(i)));
    plot3(yout(i,1),yout(i,2),yout(i,3),'.');
    drawnow;
     %generating frames for movie
       Fr(i-imin+1) = getframe(h1);
    
end
% generating a movie
% frame
% h2=figure(2);
% movie(h2,Fr)
% movie2avi(Fr,'sample.avi') % generating an avi file
%{
pause
figure(3)

axis([-10 20 -10 200])
hold on
% generating Poincare map (z=100)
zsign=sign(yout(imin-1,3)-100);

n_int=0
for i=imin:imax
    title(sprintf('Time=%f, Number of intersecting pts=%d',tout(i),n_int));
    zsign_loc=sign(yout(i,3)-100);
    if (zsign_loc*zsign <=0)  
              n_int=n_int+1;
         plot(yout(i,1),yout(i,2),'.');
         zsign=zsign_loc;        
    end
     
    drawnow;
end
%}



